# Movie-Tycoon: Big Data and NLP for movies

<p align="center">
  <img width="165" height="240" src="https://github.com/akshay-madar/MovieTycoon-gcp-based-BI-tool/blob/master/tycoon/movie-tycoon.PNG">
</p>

- Developed GCP-hosted product for over 1 million movie investors on HSX.com, aiding online trading by designing end-to-end Hive workflow using MapReduce; weekly update of Box Office trends by dynamic web scraping
- Instituted proposal for producers to leverage proactive script writing by analyzing ~480K movie reviews on Rotten Tomatoes

## Problem Statement:
Movie Tycoon is a platform which helps movie investors on https://www.hsx.com/ by providing insights on where and whom to invest the money on. The aim is to provide creative personnel with a tool to analyze reviews and use it as a feedback for future projects. This way, investors can identify the right price for investments in cinema business, and theatre owners can schedule movie shows based on box office predictions.

## Process:
1. Deployed Python Web Scraping tools to build a corpus of data that could be leveraged for ‘NLP Modeling’
2. Leveraged HIVE platform to query solutions on movie database
3. Used Naïve Bayes Algorithm to identify the sentiment of the trends

<p align="center">
  <img width="620" height="400" src="https://github.com/akshay-madar/MovieTycoon-gcp-based-BI-tool/blob/master/tycoon/architecture.PNG">
</p>

----------------------------------------------------------------------------------------------------------------------------------------
<p align="center">
  <img width="620" height="400" src="https://github.com/akshay-madar/MovieTycoon-gcp-based-BI-tool/blob/master/tycoon/pipeline.PNG">
</p>

----------------------------------------------------------------------------------------------------------------------------------------
<p align="center">
  <img width="620" height="400" src="https://github.com/akshay-madar/MovieTycoon-gcp-based-BI-tool/blob/master/tycoon/pipeline1.PNG">
</p>

----------------------------------------------------------------------------------------------------------------------------------------
<p align="center">
  <img width="620" height="400" src="https://github.com/akshay-madar/MovieTycoon-gcp-based-BI-tool/blob/master/tycoon/pipeline2.PNG">
</p>

## Results:
1. Understand Box Office Trends - The top box office returns are observed in Action, Musical and Family genres
2. Leverage NLP to understand critics reviews - The top words in movies having positive reviews are 
  * Story
  * Compelling
  * Performance
  * Brilliant Drama
3. Movie Business Landscape Analysis - The top movies produced are produced in Drama, Thriller and Comedy genre
4. Entire product uses real time predictions every Monday at 8am using Hive for scheduling automated workflows

<p align="center">
  <img width="460" height="300" src="https://media.giphy.com/media/3o6Ztl7RvfwCp9mqhW/giphy.gif">
</p>

## Youtube link:
Visit the following link to listen to the product pitch --> https://www.youtube.com/watch?v=wpuIuco7MX0

## Tableau Dashboard

<p align="center">
  <img width="600" height="400" src="https://github.com/akshay-madar/codestack/blob/master/ML-DL%20Projects/Cloud%20Based%20BI%20Platform%20-%20Movie%20Tycoon/Movie%20Tycoon.png">
</p>

----------------------------------------------------------------------------------------------------------------------------------------
<p align="center">
  <img width="530" height="250" src="https://github.com/akshay-madar/MovieTycoon-gcp-based-BI-tool/blob/master/tycoon/product-logo.PNG">
</p>
